Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  amsetup in LISp Datei

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   amsetup in LISp Datei (706 mal gelesen)
Garfiled
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von Garfiled an!   Senden Sie eine Private Message an Garfiled  Schreiben Sie einen Gästebucheintrag für Garfiled

Beiträge: 21
Registriert: 29.10.2003

erstellt am: 04. Nov. 2008 14:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum

möchte als Lisp "Neuling" eine Zeichnungskonvertierung über Lisp verwirklichen.
Dabei kommt direkt am Anfang schon erste Stolperfalle.
Wie kann ich in einer Lisp Routine den Befehl _amsetup ohne notwendige Eingaben von Usern verwirklichen?
Also:
_amsetup aufrufen, ohne das aufpoppende Fenster gleich mit ja antworten und anschließend
die "anfang.dwt" aus dem Pfad "c:\Templates" laden?

Bin für jede Hilfe Dankbar

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 04. Nov. 2008 15:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Garfiled 10 Unities + Antwort hilfreich


amsetupdwgmulti.jpg

 
... Die Sysvar EXPERT muß auf 5 gesetzt werden ...

aber sicherlich willst du nicht nur eine Zeichnung konvertieren, sondern ganze Verzeichnisse ? ...
Falls ja, so etwas hatte ich schon mal für jemanden realisiert ...

------------------
       - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Garfiled
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von Garfiled an!   Senden Sie eine Private Message an Garfiled  Schreiben Sie einen Gästebucheintrag für Garfiled

Beiträge: 21
Registriert: 29.10.2003

erstellt am: 04. Nov. 2008 16:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Cadmium

Danke für deinen Hinweis. Werde ich gleich mal versuchen.
Im Moment soll es nur immer eine Zeichnung sein. Hierbei geht´s um die Konvertierung
von DWG´s die aus Inventor erstellt wurden. Da unsere User auch mal etwas "Vergesslich"
sind, möchte ich Ihnen soviel wie möglich an Arbeit abnehmen..
Und wegeen deinem "Multi User" werde ich ganz bestimmt noch auf dich zukommen  

Gruß

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Garfiled
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von Garfiled an!   Senden Sie eine Private Message an Garfiled  Schreiben Sie einen Gästebucheintrag für Garfiled

Beiträge: 21
Registriert: 29.10.2003

Intel Xeon 2,26 GHz
HS-12GB,2xFP-146GB SAS
Graka FX3800
ACADM 2008
INV 2010 Vault 2010
Win 7 64Bit

erstellt am: 05. Nov. 2008 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum

ich denke das diese Sache nicht gans so zu diesem Thema passt. Aber Versuchen kann man es ja mal
Mit dem _amsetup hat es wunderbar funktioniert. Jetzt kommt aber der nächste Teil. Und das klappt nun mal nicht so wie es soll.
Der befehl heißt "_amconvdwg"
Habe auch schon mal hier nachgelesen.

[URL=http://ww3.cad.de/foren/ubb/Forum52/HTML/000596.shtml#000008][/URL]

Das hier ist mein Teil der dort gemailten Lisp Routine:
(defun c:KONV ()
  (varsich)
  (setvar "expert" 5)
  (defun gencnvrt-start(/foo olderr)(setq foo "c:/autodesk/Firma/PP_Files/kon_AIS2008_to_ACADM2008.ccf")(defun locstop(st/) nil))
  (defun c:amconvdwg()(genlade"gen""kon_AIS2008_to_ACADM2008"genconvet)(genconvert))
(c:AMCONVDWG)
  (varrestaurieren)
)
Die Datei gencnvrt.lsp ist kopiert und im gleichen Verzeichniss unter neuem Namen eingefügt.
Aber das Fenster zur Auswahl der ccf geht trotzdem noch auf
Wenn die ccf ausgewählt wird, funktioniert das Konvertieren.
Hat vielleicht einer eine Idee?

Dankle für eure Hilfe

Gruß
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 05. Nov. 2008 14:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Garfiled 10 Unities + Antwort hilfreich

bau mal vor dem Aufruf ein (initdia) ein vielleicht hilft das ja schon

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Garfiled
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von Garfiled an!   Senden Sie eine Private Message an Garfiled  Schreiben Sie einen Gästebucheintrag für Garfiled

Beiträge: 21
Registriert: 29.10.2003

erstellt am: 05. Nov. 2008 14:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@CADwiesel

funzt LEIDER nicht.
Trotzdem Danke.

Gruß

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2008 14:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Garfiled 10 Unities + Antwort hilfreich

amconvdwg ruft intern die Dateiauswahl auf ( ohne sich um Filedia oder Expert zu scheren .. ist so programmiert) Vefolge deshalb mal die Programmierunegn von 
-> (genconvert) 
-> (gencnvrt-start)

(defun gencnvrt-start(/ foo olderr)
  (setq foo(getfiled(genmsg"gencvt"1)"""ccf"2))
)
in der Datei gencnvrt.lsp

dieses  ersetzt du am besten durch

(defun gencnvrt-start(/ foo olderr)
  (if(or(setq foo(findfile "D:\\PROGS\\MEINE.CCF"))
        (setq foo(getfiled(genmsg"gencvt"1)"""ccf"2))
    )
    foo
  )
)


Nur irgendwelchen Code kopieren reicht halt nicht! 

Was willst du eigentlich mit amconvdwg erreichen? Nur die Layer umrubeln ?

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Garfiled
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von Garfiled an!   Senden Sie eine Private Message an Garfiled  Schreiben Sie einen Gästebucheintrag für Garfiled

Beiträge: 21
Registriert: 29.10.2003

erstellt am: 05. Nov. 2008 15:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@CADmium
Ich versuche durch das Kopieren einmal teile meiner Aufgabe zu lösen (andere kann ich zum Teil noch )
und ferner auch noch was zu lernen.
Das fällt einem bei z.B
->(gencnvrt.lsp)
in die ich auch schon reingesehen habe nicht gerade leicht.
Wie schon am Anfang gesagt, LISP Neuling  "Wiedereinsteiger Grundkentnisse". Hab mal kleinere Lisp Routinen vor ca. 10 Jahren geschrieben.

Zu deiner Frage was ich machen will:
Den DAU ausschalten   (Bem. Es sind nicht alle so)
Also wie folgt.

Der User drückt ein "Knöpfchen" im Menü.
Es passiert dann:
Formatvorlage einladen
Layer Konvertieren.
Systemvariablen einstellen. z.B dimclrt ltfaktor usw.
Nicht benötigte Layer ausschalten
Zeichnung Regenerieren
Zeichnung Bereinigen und speichern.

Ich glaube da habe ich mir wohl genug vorgenommen.

Gruß

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz